<?php


$updated = false;

if (isset($_POST['usp_lang'])){
	$usp_opt_lang = $_POST['usp_lang'];
	update_option('usp_lang', $usp_opt_lang);
	$updated = true;
}
if (isset($_POST['usp_note'])){
	$usp_note = $_POST['usp_note'];
	update_option('usp_note', $usp_note);
	$updated = true;
}

$usp_lang = get_option('usp_lang');
$usp_note = get_option('usp_note');

require_once(ABSPATH.'/wp-content/plugins/usersidebarpanel/lang/usp_'.$usp_lang.'.php');

if ($updated) {
	
	echo '<div class="updated"><p><strong>'.$usp_language['opt_saved'].'.</strong></p></div>';
	}
?> 
<div class="wrap">		
<h2>User Sidebar Panel</h2>

<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>"> 

<fieldset class="options">
<legend><?php echo $usp_language['options'] ?></legend> 
<table width="100%" class="editform">
<tr valign="top">
<th width="33%" scope="row"><?php echo $usp_language['lang'] ?></th>
<td><select name="usp_lang">
<?php
if ($handle = opendir(ABSPATH.'/wp-content/plugins/usersidebarpanel/lang/')) {
    while (false !== ($file = readdir($handle))) { 
        if ($file != "." && $file != "..") {
			$file = basename ($file,".php"); 
			list($lang_name) = sscanf($file, 'usp_%s');
            echo '<option value="'.$lang_name.'"';
			if ($lang_name == $usp_lang) echo ' selected="selected" ';
			echo '>'.$lang_name.'</option>';
        } 
    }
    closedir($handle); 
}
 
?> 
</select>
</td>
</tr>
<tr valign="top">
<th width="33%" scope="row"><?php echo $usp_language['note'] ?>:</th>
<td><textarea name="usp_note" rows="5" cols="60"><?php echo $usp_note ?></textarea>
</td>
</tr>
</table>
</fieldset> 
<div>
<p class="submit"><input type="submit" name="Submit" value="<?php echo $usp_language['opt_update'] ?> &raquo;" />
<input type="hidden" name="action" value="update" /> 
</p>
</div>
</form>
</div>

